import { bmNoType } from "@/services/platform";

export default {
  noTypeId: {
    value: null,
    type: "select",
    title: "单号类型",
    name: ["noTypeId"],
    required: true,
    options: {
      database: bmNoType,
      params: {},
    },
    col: { span: 12 },
  },
  noSunName: {
    value: null,
    type: "input",
    title: "编号子类",
    name: ["noSunName"],
    required: true,
    col: { span: 12 },
  },
  nrList: {
    value: { value: [], other: {} },
    type: "diyrule",
    title: "规则配置",
    name: ["nrList"],
    col: { span: 24 },
    required: true,
  },
};
